package cn.axzo.msg.center.message.service;

import cn.axzo.msg.center.message.domain.param.RelationTemplateMapInitParam;

import java.util.Collection;
import java.util.Map;
import java.util.Optional;

/**
 * 新老模板的关联关系service
 *
 * @author cold_blade
 * @date 2023/10/23
 * @version 1.0
 */
public interface RelationTemplateMapService {

    Optional<String> queryByRelationId(Long relationId);

    void mapRelationAndTemplate(Map<Long, String> map);

    void init(RelationTemplateMapInitParam param);
}
